FTBFS using GCC-5

Bug #1430784 reported by Stephen M. Webb on 2015-03-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Medium
Stephen M. Webb
unity (Ubuntu)
Medium
Stephen M. Webb

Bug Description

Unity fails to build from source using GCC 5.0 or later.

An excerpt from the failing build log follows.

/build/buildd/unity-7.3.1+15.04.20150126/hud/HudController.cpp:160:96: required from here
/usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89:30: error: no match for call to '(sigc::bound_mem_functor1<void, unity::hud::Controller, bool>) (std::nullptr_t&)'
     { return functor_(_A_arg1); }
                              ^
In file included from /usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:9:0,
                 from /usr/include/sigc++-2.0/sigc++/functors/slot.h:7,
                 from /usr/include/sigc++-2.0/sigc++/signal_base.h:27,
                 from /usr/include/sigc++-2.0/sigc++/signal.h:8,
                 from /usr/include/Nux-4.0/NuxCore/Object.h:30,
                 from /usr/include/Nux-4.0/NuxCore/NuxCore.h:730,
                 from /usr/include/Nux-4.0/Nux/Nux.h:26,
                 from /build/buildd/unity-7.3.1+15.04.20150126/hud/pch/hud_pch.hh:28:
/usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1855:12: note: candidate: T_return sigc::bound_mem_functor1<T_return, T_obj, T_arg1>::operator()(typename sigc::type_trait<T_arg3>::take) const [with T_return = void; T_obj = unity::hud::Controller; T_arg1 = bool; typename sigc::type_trait<T_arg3>::take = const bool&] <near match>
   T_return operator()(typename type_trait<T_arg1>::take _A_a1) const
            ^
/usr/include/sigc++-2.0/sigc++/functors/mem_fun.h:1855:12: note: conversion of argument 1 would be ill-formed:
In file included from /usr/include/sigc++-2.0/sigc++/functors/slot.h:7:0,
                 from /usr/include/sigc++-2.0/sigc++/signal_base.h:27,
                 from /usr/include/sigc++-2.0/sigc++/signal.h:8,
                 from /usr/include/Nux-4.0/NuxCore/Object.h:30,
                 from /usr/include/Nux-4.0/NuxCore/NuxCore.h:730,
                 from /usr/include/Nux-4.0/Nux/Nux.h:26,
                 from /build/buildd/unity-7.3.1+15.04.20150126/hud/pch/hud_pch.hh:28:
/usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89:30: error: converting to 'bool' from 'std::nullptr_t' requires direct-initialization [-fpermissive]
     { return functor_(_A_arg1); }
                              ^
/usr/include/sigc++-2.0/sigc++/adaptors/adaptor_trait.h:89:30: error: return-statement with a value, in function returning 'void' [-fpermissive]
hud/CMakeFiles/hud-lib.dir/build.make:103: recipe for target 'hud/CMakeFiles/hud-lib.dir/HudController.cpp.o' failed

Related branches

Stephen M. Webb (bregma) on 2015-03-11
Changed in unity:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Stephen M. Webb (bregma)
milestone: none → 7.3.2
summary: - FTBFS on using GCC-5
+ FTBFS using GCC-5
Stephen M. Webb (bregma) on 2015-03-13
Changed in unity:
status: Triaged → In Progress
Changed in unity (Ubuntu):
status: Triaged → In Progress
Stephen M. Webb (bregma) on 2015-03-19
Changed in unity:
milestone: 7.3.2 → 7.3.3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.3.2+15.04.20150324.1-0ubuntu1

---------------
unity (7.3.2+15.04.20150324.1-0ubuntu1) vivid; urgency=medium

  [ Stephen M. Webb ]
  * Upstream release 7.3.2.
  * fix AP test failure due to new parameter added to key grabbing (LP:
    #1433648)
  * silenced GCC 5 warnings (LP: #1430784)
  * uses the new upstream .desktop file for D-Bus activated Nautilus
    instances (LP: #1428837)

  [ Brandon Schaefer ]
  * When we quit the quicklist it would check if the mouse was over the
    launcher, if it wasn't it would fold the launcher. We don't need to
    check this if we are in keynav as we want all the icons to be
    unfolded. (LP: #1246891)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Chris Townsend ]
  * Use a 2 second delay before showing the first run shortcut hints to
    workaround a race condition on input handling. (LP: #1313597)

  [ Marco Trevisan (Treviño) ]
  * GnomeKeyGrabber: add timestamp support to accelerators (LP:
    #1433648)
 -- CI Train Bot <email address hidden> Tue, 24 Mar 2015 16:09:14 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
Stephen M. Webb (bregma) on 2015-03-27
Changed in unity:
status: In Progress → Fix Committed
Changed in unity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers